
Figure - Bug #118264
Bug # 118126 (CLOSED): 【IOVDEV-29542】【自动化测试】【稳定性测试】【VC1】【副屏】副屏重启

【monkey】4个预置应用+12V10A电源 monkey异常终止
2023-05-26 12:01 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-26

Priority: Normal Due date:

Assignee: CD SYSTEM-夏旭 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause:

Description

【问题描述】

设备连接中控

设备版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103

系统应用+4个客户预置应用（西瓜视频、爱奇艺、地下城、三国）

monkey指令：

adb push blacklist.txt  /sdcard/

adb shell

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom 5

--pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore

security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v 3200000 >/sdcard/monkey.log 2>&1 &

【预期结果】

设备monkey可执行60H

【测试结果】

设备执行不到12小时就停止了

History

#1 - 2023-05-26 17:25 - 物联网测试组_CDTS  唐霞 

日志ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/bug-118264

#2 - 2023-05-26 17:53 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

- Parent task set to #118126

- Resolution changed from -- to DUPLICATE

1. 在log文件中发现是system_server被杀导致

   tlog_iov0201017500006162025411a2212290000000731_000057_1112202849/FSEM_000057_0044_1112174633/kernel/000057_kernel_00092_221112_174621.log

11-12 17:46:18.467     0     0 E         : [52100.222394] Out of memory: Kill process 1516 (system_server) score 0 or sacrifice child

11-12 17:46:18.467     0     0 E         : [52100.222814] Killed process 1516 (system_server) total-vm:21031464kB, anon-rss:0kB, file-rss:64632kB, shmem-rss:4548kB

oom_score_adj=-900

11-12 17:46:18.490     0     0 I [52100.251403] oom_reaper: reaped process 1516 (system_server), now anon-rss:0kB, file-rss:150088kB, shmem-rss:4752kB

2. 这个属性记录system_server
./12V10A/tlog_iov0201017500006162025411a2212290000000731_000057_1112204538/FSEM_000057_0046_1112184634/prop.txt:568:[sys.system_server.start_count]: [2]

与118126问题一致

#3 - 2023-05-26 17:53 - CD SYSTEM-夏旭

- % Done changed from 0 to 100

#4 - 2023-06-02 17:13 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 17:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
